=== developer-doc/phb/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

KDE4_CREATE_HANDBOOK(phb.docbook)
