=== debian/changelog ===
kmymoney (3.98.1-2) unstable; urgency=low

  * Update location of KDE 4 HTML documentation.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 01:04:52 +0300

kmymoney (3.98.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 21 May 2010 21:46:11 +1000

kmymoney (3.98.0-1) unstable; urgency=low

  * New upstream release 

  [ Mark Purcell ]
  * Fixed "description still refers to kmymoney2 package" (Closes: #576995)
  * Fixes "kmymoney for KDE4 should remain in unstable for now" 
    - recommended for general use (Closes: #565138)
  * Fixes "ftbfs with gcc-4.5" (Closes: #565017)

  [ Pino Toscano ]
  * Add missing Build-Depend on shared-mime-info. (Closes: #581320)

 -- Mark Purcell <msp@debian.org>  Sun, 16 May 2010 16:31:15 +1000

kmymoney (3.97.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Apr 2010 09:20:45 +0200

kmymoney (3.97.0-1) unstable; urgency=low

  * New upstream release.
    - More crashes related to encryption. (Closes: #574600, #574601)
  * Remove 01_missing_perl_header.diff patch - merged upstream.
  * Add debug package.

 -- Fathi Boudra <fabo@debian.org>  Wed, 31 Mar 2010 08:43:48 +0200

kmymoney (3.96.1-1) unstable; urgency=low

  * New upstream release:
    - Crashes related to encryption. (Closes: #563992, #570626)

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add 01_missing_perl_header.diff patch.
  * Update debian/control:
    - Add cmake and pkg-kde-tools build dependencies.
    - Remove chrpath, automake and libtool build dependencies.
    - Build depend on libboost-graph-dev instead of libboost-dev.
    - Bump build dependencies versions (debhelper, libaqbanking29-dev).
    - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
    - Conflicts/Replaces against version 3.96.0-1. (Closes: #573488, #573475)
    - Merge aqbanking plugin. Conflicts/Replaces as appropriate.
      (Closes: #574390)
  * Update debian/rules:
    - Enable parallel buildd (pass --parallel option to dh).
    - List missing files (pass --list-missing option to dh).
    - Use kde sequence addon (pass --with kde option to dh).
  * Update debian/kmymoney-common.install:
    - Add documentation.
  * Add debian/kmymoney.lintian-overrides:
    - Override package-name-doesnt-match-sonames lintian warning.

  [ José Manuel Santamaría Lema ]
  * Update debian/watch.
  * Update debian/rules: update get-orig-source target.
  * Update debian/kmymoney.install: install kmymoney manpage.

 -- Fathi Boudra <fabo@debian.org>  Fri, 05 Mar 2010 16:15:31 +0100

kmymoney (3.96.0-1) unstable; urgency=low

  * New upstream release.

  * NEW packages kmymoney, kmymoney-common, kmymoney-dev
    - (Closes: #562944) KMyMoney Beta Version Available for KDE 4 Platform
    - Upstream package naming for KDE 4
    - Added versioned Conflicts: Replaces: as suggested by Micha
  * Add dummy transition package for squeeze - kmymoney2
  * Cleanup get-orig-target
  * Added Breaks: kmymoney2-plugin-aqbanking (Closes: #565146)
  * Build-Depends: libaqbanking29-dev (>= 4.2.3+svn.r1797-1)
    - #include <q4banking/qbanking.h> - QT4 support

 -- Mark Purcell <msp@debian.org>  Tue, 16 Feb 2010 19:34:57 +1100

kmymoney2 (3.95.0+svn1069391-2) unstable; urgency=low

  * Add Build-Depends: libz-dev, libpng12-dev, libjpeg62-dev,
    libgwenhywfar47-dev

 -- Mark Purcell <msp@debian.org>  Wed, 06 Jan 2010 22:47:28 +1100

kmymoney2 (3.95.0+svn1069391-1) unstable; urgency=low

  * New upstream release KDE4
    - first rev without libkleo
  * Add Build-Depends: libical-dev - iCalendar export plugin
  * Add Build-Conflicts: libaqbanking29-dev
    - kmymoney4 & libaqbanking needs Qt 4 (see Bug 563790)

 -- Mark Purcell <msp@debian.org>  Wed, 06 Jan 2010 20:14:53 +1100

kmymoney2 (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 05 Oct 2009 10:01:13 +0200

kmymoney2 (1.0.1-1) unstable; urgency=low

  * New upstream release:
    - fix a crash on loan creation. (Closes: #545870)

 -- Fathi Boudra <fabo@debian.org>  Sat, 03 Oct 2009 10:34:19 +0200

kmymoney2 (1.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #542503)
    - fix a crash when opening a custom report caused by an invalid chart type.
      (Closes: #522354)
  * Update debian/control:
    - Cleanup build dependency. Remove cdbs, gs-common, html2ps and
      libxml++2.6-dev.
    - Add libsqlite3-dev build dependency.
    - Bump Standards-Version from 3.8.0 to 3.8.3 (add debian/README.source).
  * Update debian/copyright:
    - Add Alvaro Soliverez.
    - Add Qt3 SQLite3 Library copyright.
  * Rename debian/docs to debian/kmymoney2.docs file.
  * Update debian/kmymoney2.install:
    - Add libsqlite3.so (Qt3 SQLite3 driver).
  * Remove files:
    - debian/kmymoney2.lintian-overrides
    - debian/kmymoney2.postinst
    - debian/kmymoney2.postrm
  * Update debian/rules:
    - Convert to dh usage.
    - Add a workaround for libsqlite3.so installation.

 -- Fathi Boudra <fabo@debian.org>  Sat, 22 Aug 2009 23:49:59 +0200

kmymoney2 (0.9.3-1) unstable; urgency=low

  * New upstream release. (Closes: #516980)
  * Fix some lintian warnings:
    - Build-depends on chrpath to remove RPATH.
    - Add missing ${misc:Depends}.
  * Update copyright. Some informations were wrong.
  * Update installed files: add OFX plugin. (Closes: #517145)
  * Cleanup lintian overrides.
  * Add postinst and postrm scripts for update-menus call and dh_desktop
    usage.
  * Update rules: call dh_desktop.

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Mar 2009 14:00:54 +0100

kmymoney2 (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update lintian-overrides libkmm-mymoney5
  * Add Build-Depends: libxml++2.6-dev

 -- Mark Purcell <msp@debian.org>  Tue, 21 Oct 2008 22:49:57 +1100

kmymoney2 (0.9-3) unstable; urgency=low

  * Upgrade to Standards-Version: 3.8.0 - no changes necessary

